#!/bin/bash

# load dummynet module
insmod /ipfw3/ipfw_mod2.ko

# upload pipe
ipfw add 1000 pipe 10 ip from 138.96.116.152 to any                  # rule affect all outgoing traffic
ipfw pipe 10 config

# download pipe
ipfw add 1000 pipe 11 ip from any to 138.96.116.152                  # rule affect all ingoing traffic
ipfw pipe 11 config

# Exclude local traffic from ipfw rules
ipfw add 10000 allow all from any to any via xl0
# ipfw add 10000 allow all from 138.96.116.152 to 138.96.116.152
# ipfw add 10001 allow all from 127.0.0.1      to 127.0.0.1
